using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using skyscraper5.Skyscraper.IO;
using skyscraper5.Skyscraper.Plugins;

namespace skyscraper5.Mpeg2.Descriptors
{
	[SkyscraperPlugin]
	[TsDescriptor(0x1e,"PMT")]
    [BannedTable("TSDT")]
    class SLDescriptor : TsDescriptor
    {
        public SLDescriptor(byte[] buffer)
        {
            MemoryStream ms = new MemoryStream(buffer, false);
            EsId = ms.ReadUInt16BE();
        }

        public ushort EsId { get; private set; }
    }
}
